CoCoALib: ideas for student projects

19 Jan 2017 18:05 - John Abbott

Status: In Progress Start date: 19 Jan 2017

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: New Function Estimated time: 0.00 hour

Target version: removed/duplicates Spent time: 0.70 hour

Description

Collect here ideas for potential student projects based on CoCoALib.

Related issues:

Related to CoCoA-5 - Support #242: CoCoA-5 Projects for students (e.g. credit... In Progress 28 Sep 2012

Related to CoCoA-5 - Feature #368: port SmithNormalForm (CoCoA-4)package to C... In Progress 11 Jun 2013

Related to CoCoALib - Feature #1667: GBasis over ZZ: port to CoCoALib In Progress 16 Feb 2022

Related to CoCoA-5 - Feature #1701: Preliminary packages In Progress 17 Oct 2022

Related to CoCoALib - Feature #1706: slimgb: Brickenstein, singular New 30 Oct 2022

History

#1 - 19 Jan 2017 18:10 - John Abbott

Here are some ideas:

write a fn IsCyclotomic for univariate polynomials (based on paper by Bradford+Davenport)

write a fn IsDegenerate for univariate polynpomials (based on paper by Cipu, Diouf, Mignotte) -- JAA does not like the fn name

[already done?] write code for subresultant (and perhaps some variants?)

write a simple impl of NLSAT (paper by ), perhaps just for the case of 2 indets?

write a simple impl of Gao-Volny-Wang

translate QIR code into C++/CoCoALib

write better impls for certain rings homs (e.g. for verifying correctness of "implicit")

a fn which produces the simplest non-neg integer matrix giving the same term ordering (perhaps with given GradingDim)

Translate a cocoa-5 function from a package into CoCoALib (see comment 4 below)

#2 - 19 Jan 2017 18:10 - John Abbott

- Related to Support #242: CoCoA-5 Projects for students (e.g. crediti F and tesi) added

#3 - 20 Jan 2017 14:28 - John Abbott

Here are some more (weaker?) ideas:

a fn which produces the simplest non-neg integer matrix giving the same term ordering (perhaps with given GradingDim)

#4 - 30 Jan 2017 07:55 - Anna Maria Bigatti

- % Done changed from 0 to 10

Translate a cocoa-5 function from a package into CoCoALib.

GCDList  (coclib.cpkg5)
FactorUnivariate  (coclib.cpkg5)

iterators for subsets, permutations (combinatoria.ckg5)

iterators for tuples and/or cartesian prod?  (combinatoria.cpkg5  and  list.cpkg5)

iterator for partitions?  (combinatoria.cpkg5)

??? (posets.cpkg5)

RationalPoints.cpkg5

real root isolation (RealRoots.cpkg5)

GB over ZZ (prototype-GBZZ.cpkg5)

#5 - 20 Dec 2017 08:47 - Anna Maria Bigatti

- Status changed from New to Closed

copied comments into equivalent issue #242 "Projects for students: crediti F and tesi"

#6 - 20 Dec 2017 08:49 - Anna Maria Bigatti

- Target version changed from CoCoALib-1.0 to removed/duplicates

#7 - 19 Mar 2021 14:56 - John Abbott

- Related to Feature #368: port SmithNormalForm (CoCoA-4)package to CoCoA-5 added

#8 - 18 Feb 2022 16:57 - John Abbott

- Status changed from Closed to In Progress

This issue and #242 cover similar ground.

Suggestion: split the 2 issues into: ones for CoCoA-5, and ones for CoCoALib.

#9 - 20 Apr 2022 17:11 - John Abbott

- Related to Feature #1667: GBasis over ZZ: port to CoCoALib added

#10 - 21 Oct 2022 15:51 - Anna Maria Bigatti

- Related to Feature #1701: Preliminary packages added

#11 - 30 Oct 2022 20:30 - John Abbott

- Related to Feature #1706: slimgb: Brickenstein, singular added
